#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 25. Graphical Environment Libraries

- Prev

  Vulkan-Headers-1.4.341.0

- Next

  WebKitGTK-2.52.0

- Up
- Home

# Vulkan-Loader-1.4.341.0

## Introduction to Vulkan-Loader

The Vulkan-Loader package contains a library which provides the Vulkan API and provides core support for graphics drivers for Vulkan.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/KhronosGroup/Vulkan-Loader/archive/vulkan-sdk-1.4.341.0/Vulkan-Loader-vulkan-sdk-1.4.341.0.tar.gz

- Download MD5 sum: 990ccb29138c6933fae9bb1140f04c3c

- Download size: 1.7 MB

- Estimated disk space required: 12 MB

- Estimated build time: less than 0.1 SBU

### Vulkan-loader Dependencies

#### Required

CMake-4.3.2, Vulkan-Headers-1.4.341.0, and Xorg Libraries

#### Recommended

Wayland-1.24.0

#### Recommended (Runtime)

Mesa-26.0.1 (for Vulkan drivers)

#### Optional (for testing)

git-2.53.0

### Note

An Internet connection is needed for some tests of this package. The system certificate store may need to be set up with make-ca-1.16.1 before testing this package.

## Installation of Vulkan-Loader

### Note

If this package is being installed on a system where Mesa has already been installed previously, please rebuild Mesa-26.0.1 after this package to install Vulkan graphics drivers.

Install Vulkan-Loader by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr   \
          -D CMAKE_BUILD_TYPE=Release    \
          -D CMAKE_SKIP_INSTALL_RPATH=ON \
          -G Ninja .. &&
    ninja

To run the test suite, issue (note that the command will use git-2.53.0 to download a copy of GoogleTest for building the test suite):

    sed "s/'git', 'clone'/&, '--depth=1', '-b', self.commit/" \
        -i ../scripts/update_deps.py &&
    cmake -D BUILD_TESTS=ON -D UPDATE_DEPS=ON .. &&
    ninja &&
    ninja test

Now, as the `root` user:

    ninja install

## Command Explanations

`-D CMAKE_SKIP_INSTALL_RPATH=ON`: This switch makes cmake remove hardcoded library search paths (rpath) when installing a binary executable file or a shared library. This package does not need rpath once it's installed into the standard location, and rpath may sometimes cause unwanted effects or even security issues.

`-D BUILD_WSI_WAYLAND_SUPPORT=OFF`: This option allows building without Wayland-1.24.0 support.

## Contents

Installed Programs: None
Installed Libraries: libvulkan.so
Installed Directories: /usr/lib/cmake/VulkanLoader

### Short Descriptions

`libvulkan.so` | provides the Vulkan API and core support for graphics drivers

- Prev

  Vulkan-Headers-1.4.341.0

- Next

  WebKitGTK-2.52.0

- Up
- Home